openSUSE Security Update : python-Pillow (openSUSE-2016-339)

Medium Nessus Plugin ID 89949


The remote openSUSE host is missing a security update.


This update for python-Pillow fixes the following issues :

- backport security fixes from 3.1.1 (Pillow-overflows.patch) :

- Fixed an integer overflow in Resample.c causing writes in the Python heap.

- Fixed a buffer overflow in PcdDecode.c causing a segfault when opening PhotoCD files. CVE-2016-TBD

- Fixed a buffer overflow in FliDecode.c causing a segfault when opening FLI files. CVE-2016-0775 (fixes boo#965582)

- Fixed a buffer overflow in TiffDecode.c causing an arbitrary amount of memory to be overwritten when opening a specially crafted invalid TIFF file.
CVE-2016-0740 (fixes boo#965579)


Update the affected python-Pillow packages.

See Also

Plugin Details

Severity: Medium

ID: 89949

File Name: openSUSE-2016-339.nasl

Version: $Revision: 2.3 $

Type: local

Agent: unix

Published: 2016/03/16

Modified: 2016/10/13

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 4.3

Vector: CVSS2#AV:N/AC:M/Au:N/C:N/I:P/A:N


Base Score: 6.5

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:H/A:N

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:python-Pillow, p-cpe:/a:novell:opensuse:python-Pillow-debuginfo, p-cpe:/a:novell:opensuse:python-Pillow-debugsource, p-cpe:/a:novell:opensuse:python-Pillow-tk, p-cpe:/a:novell:opensuse:python-Pillow-tk-debuginfo, cpe:/o:novell:opensuse:13.2, cpe:/o:novell:opensuse:42.1

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Patch Publication Date: 2016/03/15

Reference Information

CVE: CVE-2016-0740, CVE-2016-0775